Bug 26447 - rpc.rstatd doesnt not stay up
Summary: rpc.rstatd doesnt not stay up
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rusers   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-07 09:14 UTC by Henri Schlereth
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-13 23:08:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
makes rstat_proc.c live happily with 2.4 /proc/stat (2.07 KB, patch)
2001-02-13 23:08 UTC, Bob Matthews
no flags Details | Diff

Description Henri Schlereth 2001-02-07 09:14:00 UTC
As part of security testing and to keep track of internal machine I times I
periodically
run rup. All 4 of my RH70 boxes respond. I have started rstatd on the
beta3 boxes and
it starts just fine but immediately stops w/o an error logged.

Comment 1 Glen Foster 2001-02-08 16:03:43 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 2 Bob Matthews 2001-02-09 18:29:39 UTC
Can you start the rstatd using strace(1) and attach the output to the bug
report?

Comment 3 Bob Matthews 2001-02-09 21:32:52 UTC
This is a SEGV during a call to daemon(3).

Comment 4 Jakub Jelinek 2001-02-13 13:16:17 UTC
Bob, can you please be more verbose about why you think it segfaults in daemon?
Have you received any strace and/or debugged this a little bit?
I don't see how a program could crash in daemon (unless it is linked
against -lpthread and for some reason thread local register is broken
but rpc.rstatd is not linked against -lpthread).

Comment 5 Bob Matthews 2001-02-13 17:40:08 UTC
Jakub, this was my mistake.  I saw the segv after the daemonize call and assumed
that it was happening there.  But, a little more investigation shows that the
child process is segfaulting long after the return from fork.

I will try and fix this quickly, and if I can't will reclassify as rusers bug.

Comment 6 Bob Matthews 2001-02-13 23:07:14 UTC
/proc/stat layout has changed in 2.4 kernels.  Patch attached.

Comment 7 Bob Matthews 2001-02-13 23:08:23 UTC
Created attachment 9961 [details]
makes rstat_proc.c live happily with 2.4 /proc/stat

Comment 8 Nalin Dahyabhai 2001-02-15 02:50:19 UTC
Bob, patch will be pulled into the next rusers build.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.